Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.adaptor.pdf
Class CryptFilter

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              multivalent.std.adaptor.pdf.CryptFilter

public class CryptFilter
extends java.io.FilterInputStream

Crypt filter on individual COS streams (introduced in PDF 1.5).

Version:
  $Revision: 1.6 $ $Date: 2003/08/17 08:39:54 $

Field Summary
`static CryptFilter` | `IDENTITY`

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`CryptFilter(CryptFilter cf, java.io.InputStream in, int objnum, int gennum)` Creates instance to use as a `FilterInputStream`, which is only needed when the crypt filter is not the first filter, which is rare.

Method Summary
`void` | `close()`
`byte[]` | `decrypt(byte[] buf, int off, int len)` Decrypts directly using filter's security handler.
`void` | `decrypt(java.lang.StringBuffer sb)` Decrypts PDF string in sb.
`byte[]` | `encrypt(byte[] buf, int off, int len)` Encrypts directly using filter's security handler.
`void` | `encrypt(java.lang.StringBuffer sb)` Encrypts PDF string in sb.
`boolean` | `markSupported()`
`int` | `read()`
`int` | `read(byte[] b, int off, int len)`
`CryptFilter` | `reset(int objnum, int gennum)`
`java.lang.String` | `toString()`

Methods inherited from class java.io.FilterInputStream
`available, mark, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### IDENTITY

    public static final CryptFilter IDENTITY

Constructor Detail

### CryptFilter

    public CryptFilter(CryptFilter cf,
                       java.io.InputStream in,
                       int objnum,
                       int gennum)
                throws java.io.IOException

  Creates instance to use as a `FilterInputStream`, which is only needed when the crypt filter is not the first filter, which is rare.

  Throws:
    `java.io.IOException`

Method Detail

### decrypt

    public byte[] decrypt(byte[] buf,
                          int off,
                          int len)

  Decrypts directly using filter's security handler.

### encrypt

    public byte[] encrypt(byte[] buf,
                          int off,
                          int len)

  Encrypts directly using filter's security handler.

### decrypt

    public void decrypt(java.lang.StringBuffer sb)

  Decrypts PDF string in sb. Mutates sb.

### encrypt

    public void encrypt(java.lang.StringBuffer sb)

  Encrypts PDF string in sb. Mutates sb.

### reset

    public CryptFilter reset(int objnum,
                             int gennum)

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`

### read

    public int read()
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`

### markSupported

    public boolean markSupported()

  Overrides:
    `markSupported` in class `java.io.FilterInputStream`

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `java.io.FilterInputStream`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD